View Javadoc

    1   /*
    2    * Copyright 2004-2009 the Seasar Foundation and the Others.
    3    *
    4    * Licensed under the Apache License, Version 2.0 (the "License");
    5    * you may not use this file except in compliance with the License.
    6    * You may obtain a copy of the License at
    7    *
    8    *     http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS,
    12   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
    13   * either express or implied. See the License for the specific language
    14   * governing permissions and limitations under the License.
    15   */
    16  package org.seasar.cubby.plugin;
    17
    18  import javax.servlet.http.HttpServletRequest;
    19  import javax.servlet.http.HttpServletResponse;
    20
    21  import org.seasar.cubby.routing.PathInfo;
    22
    23  /**
    24   * 要求処理の実行情報です。
    25   *
    26   * @author baba
    27   */
    28  public interface RequestProcessingInvocation extends Invocation<Void> {
    29
    30  	/**
    31  	 * 要求を取得します。
    32  	 *
    33  	 * @return 要求
    34  	 */
    35  	HttpServletRequest getRequest();
    36
    37  	/**
    38  	 * 応答を取得します。
    39  	 *
    40  	 * @return 応答
    41  	 */
    42  	HttpServletResponse getResponse();
    43
    44  	/**
    45  	 * パスから取得した情報を取得します。
    46  	 *
    47  	 * @return パスから取得した情報
    48  	 */
    49  	PathInfo getPathInfo();
    50
    51  }